---
title: "Start a tutor conversation in a course"
description: "\n\n### Quire permissions\n\nCredential scopes: `me:write`.\n\nThe acting subject must also be allowed to perform this action in the organisation."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Quire API › me

`POST /ai_conversations`

\### Quire permissions

Credential scopes: `me:write`.

The acting subject must also be allowed to perform this action in the organisation.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`, scopes: `me:write`
- `oauth2`, oauth2, scopes: `me:write`

## Header parameters

- `createAIConversation.header.Quire-Version` (string, optional) — The dated API revision to serve this request at. Omitted, the request is served at the revision the credential was issued against. The response echoes the revision actually applied.
  - format `date`
- `createAIConversation.header.Idempotency-Key` (string, optional) — A caller-chosen key making this request safe to retry. A replay of a completed request returns the recorded response with `Idempotency-Replayed: true`. Reusing a key for a different request is refused.
  - maxLength 255

## Request body

_Required._

- `createAIConversation.course_id` (string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
- `createAIConversation.title` (string, optional)
  - maxLength 200

## Example request

```json
{
  "course_id": "5e757794-c815-4ccc-bf16-1010d8ef2347",
  "title": "string"
}
```

## Code samples

### cURL

```curl
curl --request POST \
  --url https://your-organisation.quirelms.com/api/v1/ai_conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "course_id": "5e757794-c815-4ccc-bf16-1010d8ef2347",
  "title": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://your-organisation.quirelms.com/api/v1/ai_conversations';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({course_id: '5e757794-c815-4ccc-bf16-1010d8ef2347', title: 'string'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://your-organisation.quirelms.com/api/v1/ai_conversations"

payload = {
    "course_id": "5e757794-c815-4ccc-bf16-1010d8ef2347",
    "title": "string"
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Success.

#### Example

```json
{
  "id": "string",
  "course_id": "string",
  "feature": "tutor",
  "title": "string",
  "last_message_at": "string",
  "retain_until": "string",
  "created_at": "string",
  "updated_at": "string"
}
```

- `createAIConversation.response.201.id` (string, required)
- `createAIConversation.response.201.course_id` (string, required)
- `createAIConversation.response.201.feature` (string, required)
  - one of `"tutor"`
- `createAIConversation.response.201.title` (string, required)
- `createAIConversation.response.201.last_message_at` (string, required) — RFC 3339 timestamp in UTC.
- `createAIConversation.response.201.retain_until` (string, required) — RFC 3339 timestamp in UTC.
- `createAIConversation.response.201.created_at` (string, required) — RFC 3339 timestamp in UTC.
- `createAIConversation.response.201.updated_at` (string, required) — RFC 3339 timestamp in UTC.

### 401

The credential is missing, malformed, expired or revoked.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createAIConversation.response.401.type` (string, required)
  - format `uri`
- `createAIConversation.response.401.title` (string, required)
- `createAIConversation.response.401.status` (integer, required)
- `createAIConversation.response.401.code` (string, required)
- `createAIConversation.response.401.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createAIConversation.response.401.detail` (string, required)
- `createAIConversation.response.401.request_id` (string, required)
- `createAIConversation.response.401.docs_url` (string, required)
  - format `uri`
- `createAIConversation.response.401.errors` (array<object>, optional)
  - `createAIConversation.response.401.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createAIConversation.response.401.errors.code` (string, required)
  - `createAIConversation.response.401.errors.detail` (string, required)
- `createAIConversation.response.401.retry_after` (integer | null, optional)

### 403

The credential lacks the scope this operation requires, or the acting subject lacks the capability.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createAIConversation.response.403.type` (string, required)
  - format `uri`
- `createAIConversation.response.403.title` (string, required)
- `createAIConversation.response.403.status` (integer, required)
- `createAIConversation.response.403.code` (string, required)
- `createAIConversation.response.403.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createAIConversation.response.403.detail` (string, required)
- `createAIConversation.response.403.request_id` (string, required)
- `createAIConversation.response.403.docs_url` (string, required)
  - format `uri`
- `createAIConversation.response.403.errors` (array<object>, optional)
  - `createAIConversation.response.403.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createAIConversation.response.403.errors.code` (string, required)
  - `createAIConversation.response.403.errors.detail` (string, required)
- `createAIConversation.response.403.retry_after` (integer | null, optional)

### 409

The request conflicts with the current state, with a previous use of the same idempotency key, or with a concurrent write.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createAIConversation.response.409.type` (string, required)
  - format `uri`
- `createAIConversation.response.409.title` (string, required)
- `createAIConversation.response.409.status` (integer, required)
- `createAIConversation.response.409.code` (string, required)
- `createAIConversation.response.409.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createAIConversation.response.409.detail` (string, required)
- `createAIConversation.response.409.request_id` (string, required)
- `createAIConversation.response.409.docs_url` (string, required)
  - format `uri`
- `createAIConversation.response.409.errors` (array<object>, optional)
  - `createAIConversation.response.409.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createAIConversation.response.409.errors.code` (string, required)
  - `createAIConversation.response.409.errors.detail` (string, required)
- `createAIConversation.response.409.retry_after` (integer | null, optional)

### 422

The request was understood and its content is not valid. `errors` names each field.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createAIConversation.response.422.type` (string, required)
  - format `uri`
- `createAIConversation.response.422.title` (string, required)
- `createAIConversation.response.422.status` (integer, required)
- `createAIConversation.response.422.code` (string, required)
- `createAIConversation.response.422.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createAIConversation.response.422.detail` (string, required)
- `createAIConversation.response.422.request_id` (string, required)
- `createAIConversation.response.422.docs_url` (string, required)
  - format `uri`
- `createAIConversation.response.422.errors` (array<object>, optional)
  - `createAIConversation.response.422.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createAIConversation.response.422.errors.code` (string, required)
  - `createAIConversation.response.422.errors.detail` (string, required)
- `createAIConversation.response.422.retry_after` (integer | null, optional)

### 429

A rate limit or a concurrency cap was reached. `Retry-After` says when to try again.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createAIConversation.response.429.type` (string, required)
  - format `uri`
- `createAIConversation.response.429.title` (string, required)
- `createAIConversation.response.429.status` (integer, required)
- `createAIConversation.response.429.code` (string, required)
- `createAIConversation.response.429.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createAIConversation.response.429.detail` (string, required)
- `createAIConversation.response.429.request_id` (string, required)
- `createAIConversation.response.429.docs_url` (string, required)
  - format `uri`
- `createAIConversation.response.429.errors` (array<object>, optional)
  - `createAIConversation.response.429.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createAIConversation.response.429.errors.code` (string, required)
  - `createAIConversation.response.429.errors.detail` (string, required)
- `createAIConversation.response.429.retry_after` (integer | null, optional)

### 500

Something failed at our end. Quote `request_id` when reporting it.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `createAIConversation.response.500.type` (string, required)
  - format `uri`
- `createAIConversation.response.500.title` (string, required)
- `createAIConversation.response.500.status` (integer, required)
- `createAIConversation.response.500.code` (string, required)
- `createAIConversation.response.500.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `createAIConversation.response.500.detail` (string, required)
- `createAIConversation.response.500.request_id` (string, required)
- `createAIConversation.response.500.docs_url` (string, required)
  - format `uri`
- `createAIConversation.response.500.errors` (array<object>, optional)
  - `createAIConversation.response.500.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `createAIConversation.response.500.errors.code` (string, required)
  - `createAIConversation.response.500.errors.detail` (string, required)
- `createAIConversation.response.500.retry_after` (integer | null, optional)


Source: https://docs.quirelms.com/api/me/createAIConversation/index.md
